<?php
/************************************************************************\
 *
 * AMPXF
 *
 * Copyright ©2020 JEAW Ab. All Rights Reserved.
 * This file may not be redistributed in whole or significant part.
 *
 * AMPXF IS NOT FREE SOFTWARE
 * https://ampxf.com/
 *
 * \************************************************************************/

namespace MaZ\AMP\XF\Str;


class Formatter extends XFCP_Formatter
{
    public function getDefaultSmilieHtml($id, array $smilie)
    {
        $html = parent::getDefaultSmilieHtml($id, $smilie);
        if (\XF::app()->request()->filter('amp', 'string') == '1') {
            $html = str_replace('<img ', '<amp-img width="22" height="22" layout="fixed" ', $html);
            $html = str_replace(' />', "></amp-img>", $html);
            $html = str_replace(' loading="lazy"', "", $html);
        }
        return $html;
    }
}